import { AbstractDxfBuilder } from "./dxf-builder";
import { IDrawing, IRegion } from "..";
export declare class DxfDrawing extends AbstractDxfBuilder implements IDrawing {
    private height;
    constructor(width: number, height: number);
    protected convertY(y: number): number;
    clip(region: IRegion, callback: () => void): void;
    addStyle(style: string): void;
    dxf(): string;
}
